# Class CheckBoxSymbolElement

#### Hierarchy

- XmlComponent
  - CheckBoxSymbolElement

- Defined in file/checkbox/checkbox-symbol.ts:20

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new CheckBoxSymbolElement(name, val, font?): CheckBoxSymbolElement

- #### Parameters

  - ##### name: string

  - ##### val: string

  - ##### `Optional` font: string

  #### Returns CheckBoxSymbolElement

  Overrides XmlComponent.constructor

  - Defined in file/checkbox/checkbox-symbol.ts:21

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc